OntologyResource
Date: 2012-05-08

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.ontologymanagement.ontologymanagementservice.manager
Class OntologyResource

    java.lang.Object
      GCUBEWSResource
          org.gcube.ontologymanagement.ontologymanagementservice.manager.OntologyResource

    public class OntologyResource

extends GCUBEWSResource

Constructor Summary
`OntologyResource()`

Method Summary
`java.lang.String` | `getBaseOntologyName()` Returns the ontology name of the RP stored on this resource.
`java.lang.String` | `getBaseOntologyURI()` Returns the ontology uri of the RP stored on this resource.
`ArrayOfOntologies` | `getImportedOntologies()` Returns the oid of the schema of the ontology of the RP stored on this resource.
`OntModel` | `getOntModel()`
`java.lang.String[]` | `getPropertyNames()`
`ArrayOfCollectionIDs` | `getReferencedCollections()`
`void` | `putReferencedCollectionID(java.lang.String collectionID)`
`void` | `setOntModel(OntModel model)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OntologyResource

    public OntologyResource()

Method Detail

### getPropertyNames

    public java.lang.String[] getPropertyNames()

### getBaseOntologyName

    public java.lang.String getBaseOntologyName()

  Returns the ontology name of the RP stored on this resource.

  Returns:
    the name.

### getBaseOntologyURI

    public java.lang.String getBaseOntologyURI()

  Returns the ontology uri of the RP stored on this resource.

  Returns:

### getImportedOntologies

    public ArrayOfOntologies getImportedOntologies()

  Returns the oid of the schema of the ontology of the RP stored on this resource.

  Returns:

### getReferencedCollections

    public ArrayOfCollectionIDs getReferencedCollections()

### putReferencedCollectionID

    public void putReferencedCollectionID(java.lang.String collectionID)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setOntModel

    public void setOntModel(OntModel model)

### getOntModel

    public OntModel getOntModel()
                         throws GCUBEFault

  Throws:
    `GCUBEFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD